Package com.pixelmed.ftp

# Class FTPClientApplicationConfigurationDialog

java.lang.Object
com.pixelmed.ftp.FTPClientApplicationConfigurationDialog

public class FTPClientApplicationConfigurationDialog extends Object

This class provides a user interface for applications to configure and test properties related to remote FTP hosts.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`FTPClientApplicationConfigurationDialog.AddRemoteHostActionListener`
`protected class`
`FTPClientApplicationConfigurationDialog.DoneActionListener`
`protected class`
`FTPClientApplicationConfigurationDialog.EditRemoteHostActionListener`
`protected class`
`FTPClientApplicationConfigurationDialog.RemoveRemoteHostActionListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JTextField`
`calledAETitleField`
`protected JTextField`
`callingAETitleField`
`protected FTPApplicationProperties`
`ftpApplicationProperties`
`protected FTPRemoteHostInformation`
`ftpRemoteHostInformation`
`protected JTextField`
`listeningPortField`

## Constructor Summary

Constructors
Constructor
Description
`FTPClientApplicationConfigurationDialog(Component parent, FTPRemoteHostInformation ftpRemoteHostInformation, FTPApplicationProperties ftpApplicationProperties)`
Configure and test network information.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Test the editing of network properties from the specified file.
`protected String`
`showInputDialogToSelectNetworkTargetByLocalName(Component parent, FTPRemoteHostInformation ftpRemoteHostInformation, String message, String title)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ftpRemoteHostInformation

protected FTPRemoteHostInformation ftpRemoteHostInformation

### ftpApplicationProperties

protected FTPApplicationProperties ftpApplicationProperties

### calledAETitleField

protected JTextField calledAETitleField

### callingAETitleField

protected JTextField callingAETitleField

### listeningPortField

protected JTextField listeningPortField

## Constructor Details

### FTPClientApplicationConfigurationDialog

public FTPClientApplicationConfigurationDialog(Component parent, FTPRemoteHostInformation ftpRemoteHostInformation, FTPApplicationProperties ftpApplicationProperties) throws FTPException

Configure and test network information.

Parameters:
  `parent` - the parent component on which the new dialog is centered, may be null in which case centered on the screen
  `ftpRemoteHostInformation` - the current information whose contents are to be replaced with updated information
  `ftpApplicationProperties` - the static properties that are to be edited
Throws:
  `FTPException`

## Method Details

### showInputDialogToSelectNetworkTargetByLocalName

protected String showInputDialogToSelectNetworkTargetByLocalName(Component parent, FTPRemoteHostInformation ftpRemoteHostInformation, String message, String title)

### main

public static void main(String[] arg)

Test the editing of network properties from the specified file.

Parameters:
  `arg` - a single file name that is the properties file